org.eclipse.lyo.client.oslc.resources

## Class TestResult

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.client.oslc.resources.QmResource
    - - org.eclipse.lyo.client.oslc.resources.TestResult

- All Implemented Interfaces:
    org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

      @OslcResourceShape(title="Quality Management Resource Shape",
                         describes="http://open-services.net/ns/qm#TestResult")
      @OslcNamespace(value="http://open-services.net/ns/qm#")
      public final class TestResult
      extends QmResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestResult()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAffectedByChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link affectingChangeRequest)`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getAffectedByChangeRequests()`
    `org.eclipse.lyo.oslc4j.core.model.Link` | `getExecutesTestScript()`
    `org.eclipse.lyo.oslc4j.core.model.Link` | `getProducedByTestExecutionRecord()`
    `protected URI` | `getRdfType()`
    `org.eclipse.lyo.oslc4j.core.model.Link` | `getReportsOnTestCase()`
    `org.eclipse.lyo.oslc4j.core.model.Link` | `getReportsOnTestPlan()`
    `String` | `getStatus()`
    `void` | `setAffectedByChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] affectedByChangeRequests)`
    `void` | `setExecutesTestScript(org.eclipse.lyo.oslc4j.core.model.Link executesTestScript)`
    `void` | `setProducedByTestExecutionRecord(org.eclipse.lyo.oslc4j.core.model.Link producedByTestExecutionRecord)`
    `void` | `setReportsOnTestCase(org.eclipse.lyo.oslc4j.core.model.Link reportsOnTestCase)`
    `void` | `setReportsOnTestPlan(org.eclipse.lyo.oslc4j.core.model.Link reportsOnTestPlan)`
    `void` | `setStatus(String status)`

    - ### Methods inherited from class org.eclipse.lyo.client.oslc.resources.QmResource

      `addRdfType, getCreated, getIdentifier, getInstanceShape, getModified, getRdfTypes, getServiceProvider, getTitle, setCreated, setIdentifier, setInstanceShape, setModified, setRdfTypes, setServiceProvider, setTitle`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestResult

          public TestResult()

  - ### Method Detail

    - #### getRdfType

          protected URI getRdfType()

      Specified by:
        `getRdfType` in class `QmResource`

    - #### addAffectedByChangeRequest

          public void addAffectedByChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link affectingChangeRequest)

    - #### getAffectedByChangeRequests

          @OslcDescription(value="Change request that affects the Test Result.")
          @OslcName(value="affectedByChangeRequest")
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#affectedByChangeRequest")
          @OslcRange(value="http://open-services.net/ns/cm#ChangeRequest")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Affected By Change Request")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getAffectedByChangeRequests()

    - #### getReportsOnTestPlan

          @OslcDescription(value="Test Plan that the Test Result reports on.")
          @OslcName(value="reportsOnTestPlan")
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#reportsOnTestPlan")
          @OslcRange(value="http://open-services.net/ns/qm#TestPlan")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Reports On Test Plan")
          public org.eclipse.lyo.oslc4j.core.model.Link getReportsOnTestPlan()

    - #### getReportsOnTestCase

          @OslcDescription(value="Test Case that the Test Result reports on.")
          @OslcName(value="reportsOnTestCase")
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#reportsOnTestCase")
          @OslcRange(value="http://open-services.net/ns/qm#TestCase")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Reports On Test Case")
          public org.eclipse.lyo.oslc4j.core.model.Link getReportsOnTestCase()

    - #### getExecutesTestScript

          @OslcDescription(value="Test Script executed to produce the Test Result.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#executesTestScript")
          @OslcTitle(value="Executes Test Script")
          public org.eclipse.lyo.oslc4j.core.model.Link getExecutesTestScript()

    - #### getProducedByTestExecutionRecord

          @OslcDescription(value="Test Execution Record that the Test Result was produced by.")
          @OslcName(value="producedByTestExecutionRecord")
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#producedByTestExecutionRecord")
          @OslcRange(value="http://open-services.net/ns/qm#TestExecutionRecord")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Produced By Test Execution Record")
          public org.eclipse.lyo.oslc4j.core.model.Link getProducedByTestExecutionRecord()

    - #### getStatus

          @OslcDescription(value="Used to indicate the state of the Test Result based on values defined by the service provider.")
          @OslcOccurs(value=ZeroOrOne)
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#status")
          @OslcTitle(value="Status")
          @OslcValueType(value=XMLLiteral)
          public String getStatus()

    - #### setAffectedByChangeRequests

          public void setAffectedByChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] affectedByChangeRequests)

    - #### setReportsOnTestPlan

          public void setReportsOnTestPlan(org.eclipse.lyo.oslc4j.core.model.Link reportsOnTestPlan)

    - #### setReportsOnTestCase

          public void setReportsOnTestCase(org.eclipse.lyo.oslc4j.core.model.Link reportsOnTestCase)

    - #### setProducedByTestExecutionRecord

          public void setProducedByTestExecutionRecord(org.eclipse.lyo.oslc4j.core.model.Link producedByTestExecutionRecord)

    - #### setExecutesTestScript

          public void setExecutesTestScript(org.eclipse.lyo.oslc4j.core.model.Link executesTestScript)

    - #### setStatus

          public void setStatus(String status)

Copyright © 2016. All Rights Reserved.